<template>
<v-list>
  <v-list-item-group v-model="item">
    <v-list-item
      v-for="(item, i) in items"
      :key="i"
      :to="item.to"
      >
      <v-list-item-icon v-if="item.icon">
        <v-icon v-text="item.icon"></v-icon>
      </v-list-item-icon>
      <v-list-item-content>
        <v-list-item-title v-text="item.title"></v-list-item-title>
      </v-list-item-content>
    </v-list-item>
  </v-list-item-group>
</v-list>
</template>


<script>
// import {
//   mdiMenu,
//   mdiHome,
//   mdiCurrencyUsd,
//   mdiChevronLeft,
//   mdiChevronRight,
//   mdiFrequentlyAskedQuestions,
//   mdiContacts,
// } from '@mdi/js';
import items from './NavigationItems.ts';

export default {
  data: () => ({
    // icons
    // mdiMenu,
    // mdiHome,
    // mdiCurrencyUsd,
    // mdiFrequentlyAskedQuestions,
    // mdiContacts,
    // mdiChevronLeft,
    // mdiChevronRight,

    item: '',
    items,
  }),
};
</script>
